package com.kingdee.eas.custom.attendanceexception;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class CenterLeaderRelationEntryFactory
{
    private CenterLeaderRelationEntryFactory()
    {
    }
    public static com.kingdee.eas.custom.attendanceexception.ICenterLeaderRelationEntry getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.attendanceexception.ICenterLeaderRelationEntry)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("E42D8BAB") ,com.kingdee.eas.custom.attendanceexception.ICenterLeaderRelationEntry.class);
    }
    
    public static com.kingdee.eas.custom.attendanceexception.ICenterLeaderRelationEntry getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.attendanceexception.ICenterLeaderRelationEntry)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("E42D8BAB") ,com.kingdee.eas.custom.attendanceexception.ICenterLeaderRelationEntry.class, objectCtx);
    }
    public static com.kingdee.eas.custom.attendanceexception.ICenterLeaderRelationEntry getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.attendanceexception.ICenterLeaderRelationEntry)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("E42D8BAB"));
    }
    public static com.kingdee.eas.custom.attendanceexception.ICenterLeaderRelationEntry getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.attendanceexception.ICenterLeaderRelationEntry)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("E42D8BAB"));
    }
}